---
title: "アイコン"
date: 2020-08-14
lastmod: 2022-03-09
draft: false
description: "Blowfish でサポートしているアイコン。"
slug: "icons"
tags: ["icons", "sample", "shortcodes"]
type: 'sample'
---

Blowfish はいくつもの [FontAwesome 6](https://fontawesome.com/icons) のアイコンを組み込み、サポートしています。これらは[アイコンパーシャル]({{< ref "docs/partials#icon" >}})または[アイコンショートコード]({{< ref "docs/shortcodes#icon" >}})のどちらかを利用してウェブサイトに含めることが出来ます。

加えて、カスタムアイコンも完全にサポートされています。プロジェクトのルートにある `assets/icons/` ディレクトリーに SVG アイコンアセットを置くだけです。アイコンディレクトリ内のアイコンはテーマ全体で利用可能になります。自動的に色を塗りつぶすために、全ての SVG パスは fill="currentColor" の XML 属性が必要です。

組み込んでいるアイコンと対応する名称の全リストは以下を参照してください。

| アイコン名           | プレビュー                        |
| -------------------- | --------------------------------- |
| amazon               | {{< icon amazon >}}               |
| apple                | {{< icon apple >}}                |
| バー                 | {{< icon bars >}}                 |
| ベル                 | {{< icon bell >}}                 |
| blogger              | {{< icon blogger >}}              |
| bluesky              | {{< icon bluesky >}}              |
| ボム                 | {{< icon bomb >}}                 |
| バグ                 | {{< icon bug >}}                  |
| チェック             | {{< icon check >}}                |
| 情報 (円)            | {{< icon circle-info >}}          |
| コード               | {{< icon code>}}                  |
| codepen              | {{< icon codepen >}}              |
| コメント             | {{< icon comment >}}              |
| dev                  | {{< icon dev >}}                  |
| discourse            | {{< icon discourse >}}            |
| docker               | {{< icon docker >}}               |
| ダウンロード         | {{< icon download >}}             |
| dribbble             | {{< icon dribbble >}}             |
| 編集                 | {{< icon edit >}}                 |
| メール               | {{< icon email >}}                |
| 封筒                 | {{< icon envelope >}}             |
| 拡大                 | {{< icon expand >}}               |
| 目                   | {{< icon eye >}}                  |
| facebook             | {{< icon facebook >}}             |
| 炎                   | {{< icon fire >}}                 |
| flickr               | {{< icon flickr >}}               |
| fork                 | {{< icon fork >}}                 |
| foursquare           | {{< icon foursquare >}}           |
| 幽霊                 | {{< icon ghost >}}                |
| github               | {{< icon github >}}               |
| gitlab               | {{< icon gitlab >}}               |
| 地球                 | {{< icon globe >}}                |
| goodreads            | {{< icon goodreads >}}            |
| google               | {{< icon google >}}               |
| 卒業帽               | {{< icon graduation-cap >}}       |
| hackernews           | {{< icon hackernews >}}           |
| hashnode             | {{< icon hashnode >}}             |
| ハート (空)          | {{< icon heart-empty >}}          |
| ハート               | {{< icon heart >}}                |
| 画像                 | {{< icon image >}}                |
| instagram            | {{< icon instagram >}}            |
| keybase              | {{< icon keybase >}}              |
| kickstarter          | {{< icon kickstarter >}}          |
| ko-fi                | {{< icon ko-fi >}}                |
| 言語                 | {{< icon language >}}             |
| lastfm               | {{< icon lastfm >}}               |
| ひらめき             | {{< icon lightbulb >}}            |
| リンク               | {{< icon link >}}                 |
| linkedin             | {{< icon linkedin >}}             |
| リスト               | {{< icon list >}}                 |
| 地図のピン           | {{< icon location-dot >}}         |
| ロック               | {{< icon lock >}}                 |
| mastodon             | {{< icon mastodon >}}             |
| medium               | {{< icon medium >}}               |
| microsoft            | {{< icon microsoft >}}            |
| 月                   | {{< icon moon >}}                 |
| ホットマグカップ     | {{< icon mug-hot >}}              |
| 音楽                 | {{< icon music >}}                |
| orcid                | {{< icon orcid >}}                |
| patreon              | {{< icon patreon >}}              |
| paypal               | {{< icon paypal >}}               |
| 鉛筆                 | {{< icon pencil >}}               |
| pgp キー             | {{< icon pgpkey >}}               |
| 電話                 | {{< icon phone >}}                |
| pinterest            | {{< icon pinterest >}}            |
| うんち               | {{< icon poo >}}                  |
| reddit               | {{< icon reddit >}}               |
| researchgate         | {{< icon researchgate >}}         |
| rss                  | {{< icon rss >}}                  |
| rss (四角)           | {{< icon rss-square >}}           |
| 天秤                 | {{< icon scale-balanced >}}       |
| 検索                 | {{< icon search >}}               |
| 盾                   | {{< icon shield >}}               |
| ドクロ               | {{< icon skull-crossbones >}}     |
| slack                | {{< icon slack >}}                |
| snapchat             | {{< icon snapchat >}}             |
| soundcloud           | {{< icon soundcloud >}}           |
| stack-overflow       | {{< icon stack-overflow >}}       |
| 星                   | {{< icon star >}}                 |
| steam                | {{< icon steam >}}                |
| stripe               | {{< icon stripe >}}               |
| substack             | {{< icon substack >}}             |
| 太陽                 | {{< icon sun >}}                  |
| タグ                 | {{< icon tag >}}                  |
| telegram             | {{< icon telegram >}}             |
| threads              | {{< icon threads >}}              |
| tiktok               | {{< icon tiktok >}}               |
| 警告 (三角)          | {{< icon triangle-exclamation >}} |
| tumblr               | {{< icon tumblr >}}               |
| twitch               | {{< icon twitch >}}               |
| twitter              | {{< icon twitter >}}              |
| 輝く魔法の杖         | {{< icon wand-magic-sparkles >}}  |
| whatsapp             | {{< icon whatsapp >}}             |
| x-twitter            | {{< icon x-twitter >}}            |
| xing                 | {{< icon xing >}}                 |
| xmark                | {{< icon xmark >}}                |
| youtube              | {{< icon youtube >}}              |
